<!-- -------------------- ./doc/snippets/documents-navigation.html -------------------- -->

<h3 class="fr-h5 documents-list__title">
  <!-- <a href="<?php echo $this->URL->GetInnerMethod('DispThumbs'); ?>"> -->
    Liste des documents
  <!-- </a> -->
</h3>

<?php if ($this->MODACC=='RW'): ?>
<div>
  <ul class="fr-btns-group fr-btns-group--inline-md fr-btns-group--icon-left fr-btns-group--sm">
    <li>
      <a class="fr-btn fr-icon-add-line" href="<?php echo $this->URL->GetInnerMethod('AddFile1'); ?>" target="_self">
        Ajouter
      </a>
    </li>
    <li id="menuFileRenameButton" style="display: none">
      <a class="fr-btn fr-icon-edit-line" href="javascript:contentRename()" target="_self">
        Renommer
        </a>
    </li>
    <li id="menuFileDeleteButton" style="display: none">
      <a class="fr-btn fr-icon-delete-line" href="javascript:contentDelete()" target="_self">
        Supprimer
      </a>
    </li>
  </ul>
</div>

<?php endif; ?>

<form
  id="menuFileForm"
  class="documents-list"
  enctype="multipart/form-data"
  method="post"
  action="<?php echo $this->URL->GetDosMethod('ActionOnFiles'); ?>"
>
  <input
    name="DID"
    value="<?php echo $this->DOSINFO['did']; ?>"
    type="hidden"
  />
  <input id="menuFileAction" name="ACTION" value="none" type="hidden" />

  <?php foreach($this->DOSINFO['filelist'] as $ind => $value): $furl =
  $this->URL->GetInnerData($value); ?>
  <div class="fr-checkbox-group fr-checkbox-group--sm" id="sidemenufile">
    <input
      class="fr-input"
      type="checkbox"
      value="<?php echo $value; ?>"
      name="CFI[]"
      id="<?php echo base64_encode($value); ?>"
      onclick="javascript: menuItemClicked(this)"
    />
    <label class="fr-label" for="<?php echo base64_encode($value); ?>">
      <a href="<?php echo $furl; ?>" title="<?php echo $value; ?>"><?php echo $value; ?></a>
    </label>
  </div>
  <?php endforeach; ?>
</form>

<ul class="fr-btns-group fr-btns-group--inline-md fr-btns-group--icon-left fr-btns-group--sm">
  <li>
    <button
      type="button"
      class="fr-btn fr-btn--secondary"
      onclick="menuItemToggleAll()"
    >
      Tout (dé)sélectionner
    </button>
  </li>
  <li>
    <button type="button" class="fr-btn" onclick="contentGetZip()">
      Télécharger
    </button>
  </li>
</ul>
